---
name: LoadingButton
route: /Buttons/LoadingButton
menu: Buttons
---

import { Playground, PropsTable } from 'docz'
import { LoadingButton } from '../../src'
import { Alert } from 'react-native'
import { colors } from '@barcard/functions'

## LoadingButton

## About

Button that presents a loading indicator, if in the loading state. Also has
icons.

## Basic Usage

<Playground>
  <LoadingButton
    loading={true}
    color={colors.white}
    disabledColor={colors.secondary2}
    loadingColor={colors.teal}
    icon={{
      name: 'list',
      size: 20,
      color: colors.teal,
      style: {},
    }}
    text={'Submit'}
    handlePress={() => alert('Thanks for clicking me!')}
  />
</Playground>

## Properties

<PropsTable of={LoadingButton} includeDescription={true} />
